Package com.xebialabs.xlrelease.variable

## Interface VariableCollector

- All Known Implementing Classes:
    `VariableHelper$`

      public interface VariableCollector

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `collectVariables​(java.lang.Object input)` |
    `scala.collection.immutable.Set<java.lang.String>` | `collectVariablesFromValue​(java.lang.Object value)` |
    `void` | `collectVariablesInScope​(java.util.Map<java.lang.String,​Variable> allUsedVariablesMap, java.util.Map<java.lang.String,​Variable> scope, java.lang.String variableKeyToResolve)` |
    `java.util.Map<java.lang.String,​PasswordStringVariable>` | `getUsedExternalPasswordVariables​(Release release)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getUsedStringVariables​(Release release)` |
    `java.util.ArrayList<Variable>` | `getUsedVariables​(Release release, boolean enablePassword)` |
    `boolean` | `getUsedVariables$default$2()` |

- - ### Method Detail

    - #### collectVariables

          java.util.Set<java.lang.String> collectVariables​(java.lang.Object input)

    - #### collectVariablesFromValue

          scala.collection.immutable.Set<java.lang.String> collectVariablesFromValue​(java.lang.Object value)

    - #### collectVariablesInScope

          void collectVariablesInScope​(java.util.Map<java.lang.String,​Variable> allUsedVariablesMap,
                                       java.util.Map<java.lang.String,​Variable> scope,
                                       java.lang.String variableKeyToResolve)

    - #### getUsedExternalPasswordVariables

          java.util.Map<java.lang.String,​PasswordStringVariable> getUsedExternalPasswordVariables​(Release release)

    - #### getUsedStringVariables

          java.util.Map<java.lang.String,​java.lang.String> getUsedStringVariables​(Release release)

    - #### getUsedVariables

          java.util.ArrayList<Variable> getUsedVariables​(Release release,
                                                         boolean enablePassword)

    - #### getUsedVariables$default$2

          boolean getUsedVariables$default$2()